Search results

  1. J

    Transformation based on a Gp_Ax3

    @JSlyadne yes I am thinking that since I know the X,Y size of the plane, I want to move the text by half those .. plus or minus a little bit but since the plane could be in any direction , how do I accomplish that?
  2. J

    Transformation based on a Gp_Ax3

    Greetings all. I am sure it's simple but I am having a hard time figuring it out. Like the title states, I would like to transform an object (text label) in this instance based on a specific Gp_Ax3 what I am trying to do is pretty simple, I want to draw a plane, an have some text next to it...
  3. J

    Normal of face

    I used this Handle(Geom_Surface) faceGeo = BRep_Tool::Surface(TopoDS::Face(Face)); if (faceGeo.IsNull()) return result; Standard_Real domainU, domainV = 0; faceGeo->D1(U, V, result, U1, V1); gp_Vec n = U1.Crossed(V1); if (face.Orientation() == TopAbs_REVERSED) {...
  4. J

    TDF_Label from "TCollection_AsciiString" and modifying sub-assemblies

    @JSlyadne thank you very much for the help. I will give this a try for certain. thanks again both of you
  5. J

    TDF_Label from "TCollection_AsciiString" and modifying sub-assemblies

    that's great news! In the case of the wheel chassis.. let say user wants to delete front left wheel.. I would replace the wheel - axle - wheel assembly by a new assembly axle - wheel I can't figure a clean way to do this.. I end up loosing a lot of the attributes like colors.. ..etc...
  6. J

    TDF_Label from "TCollection_AsciiString" and modifying sub-assemblies

    Yes, thank you, that worked well! much less convoluted than what I came up with haha :) I made some progress on part #2 but it's not working right just yet..
  7. J

    TDF_Label from "TCollection_AsciiString" and modifying sub-assemblies

    Hi, I know that using TDF_Tool::Entry it is possible to obtain the ascii representation of the label , ie: "0:1:1:2:4" Is there a tool that goes backward? Give the label from the string representation ? I am currently using a map(ais,string) to keep track of what AIS is representing in the...
  8. J

    how to set width/thickness of line/curve?

    you will want to set this property on the visualisation object ais->Attributes()->SetWireAspect(new Prs3d_LineAspect(Quantity_NOC_ALICEBLUE, Aspect_TypeOfLine::Aspect_TOL_SOLID, 10.0));
  9. J

    Simple part generation tutorial

    Thanks! I will make sure to add to the code
  10. J

    Simple part generation tutorial

    I am a noob and this is probably a poor way to do but it did produce a similar shape.
  11. J

    Is there have a easy way to check whether a point on the face, BRepClass_FaceClassifier.State() seems doesn't work.

    May I suggest taking a look at @Quaoar lesson 17 on point membership it is quite extensive and provides at least 2 solutions.
  12. J

    how to map selection to the OCAF GUID ?

    @karim, you can use the context's SelectedShape method instead of the SelectedInteractive method
  13. J

    The iso lines create through ShapeAnalysis_Surface::UIso() can show in Analysis Situs, but can't show in FreeCAD and SolidWorks

    from experience I know some software will not by default import lines and curves from a step file.. it could be a matter of changing the import settings in solidworks. https://help.solidworks.com/2019/english/solidworks/sldworks/t_reading_step_iges_acis_sw.htm
  14. J

    The iso lines create through ShapeAnalysis_Surface::UIso() can show in Analysis Situs, but can't show in FreeCAD and SolidWorks

    Could be your import setting..importing only solids and or surfaces
  15. J

    Rotation and Translation

    DVN take a look at BRepBuilderAPI_Transform Best regards,
  16. J

    Point Classifier / triple-dexel data structure suggestion

    I am so happy! I fixed my issue and somehow I was able to indirectly contribute to AnalysisSitus.
  17. J

    Point Classifier / triple-dexel data structure suggestion

    Oh, yes, of course. This is a model I got from grabcad I belive.
  18. J

    Point Classifier / triple-dexel data structure suggestion

    Well, it took less time this morning than anticipated! I think my theory was right. I have revised two lines in the intersectTriangle method. first line was I replaced with similarly at the end to I think this allows for a bit of tolerance, which I think is ok since dealing with meshes...
Top